using System;

namespace ShapedFormDataReader
{
	/// <summary>
	/// Exceptions for ShapedFormDataReader
	/// </summary>
	public class ShapedFormReaderFileFormatException : ApplicationException
	{
		/// <summary>
		/// If a data file is not of the correct format, an exception is thrown.
		/// </summary>
		/// <param name="FilePathAndName">The full path and file name that was opened.</param>
		public ShapedFormReaderFileFormatException(string FilePathAndName)
			: base(string.Format("File: '{0}' was not in the proper format.", FilePathAndName))
		{
		}
		/// <summary>
		/// If a data file is not of the correct format, an exception is thrown.
		/// </summary>
		/// <param name="FilePathAndName">The full path and file name that was opened.</param>
		/// <param name="innerException"></param>
		public ShapedFormReaderFileFormatException (string FilePathAndName,
			Exception innerException)
			: base(string.Format("File: '{0}' was not in the proper format.", FilePathAndName),
			innerException)
		{
		}
	}
}
